//#line 2 "/opt/ros/fuerte/stacks/dynamic_reconfigure/templates/ConfigType.h"
// *********************************************************
// 
// File autogenerated for the r2_dynamic_reconfigure package 
// by the dynamic_reconfigure package.
// Please do not edit.
// 
// ********************************************************/

/***********************************************************
 * Software License Agreement (BSD License)
 *
 *  Copyright (c) 2008, Willow Garage, Inc.
 *  All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions
 *  are met:
 *
 *   * Redistributions of source code must retain the above copyright
 *     notice, this list of conditions and the following disclaimer.
 *   * Redistributions in binary form must reproduce the above
 *     copyright notice, this list of conditions and the following
 *     disclaimer in the documentation and/or other materials provided
 *     with the distribution.
 *   * Neither the name of the Willow Garage nor the names of its
 *     contributors may be used to endorse or promote products derived
 *     from this software without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
 *  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
 *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS
 *  FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE
 *  COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
 *  INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 *  BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
 *  LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
 *  CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
 *  LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN
 *  ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 *  POSSIBILITY OF SUCH DAMAGE.
 ***********************************************************/

// Author: Blaise Gassend


#ifndef __r2_dynamic_reconfigure__JOINTSTIFFNESSLOWCONFIG_H__
#define __r2_dynamic_reconfigure__JOINTSTIFFNESSLOWCONFIG_H__

#include <dynamic_reconfigure/config_tools.h>
#include <limits>
#include <ros/node_handle.h>
#include <dynamic_reconfigure/ConfigDescription.h>
#include <dynamic_reconfigure/ParamDescription.h>
#include <dynamic_reconfigure/Group.h>
#include <dynamic_reconfigure/config_init_mutex.h>
#include <boost/any.hpp>

namespace r2_dynamic_reconfigure
{
  class jointStiffnessLowConfigStatics;
  
  class jointStiffnessLowConfig
  {
  public:
    class AbstractParamDescription : public dynamic_reconfigure::ParamDescription
    {
    public:
      AbstractParamDescription(std::string n, std::string t, uint32_t l, 
          std::string d, std::string e)
      {
        name = n;
        type = t;
        level = l;
        description = d;
        edit_method = e;
      }
      
      virtual void clamp(jointStiffnessLowConfig &config, const jointStiffnessLowConfig &max, const jointStiffnessLowConfig &min) const = 0;
      virtual void calcLevel(uint32_t &level, const jointStiffnessLowConfig &config1, const jointStiffnessLowConfig &config2) const = 0;
      virtual void fromServer(const ros::NodeHandle &nh, jointStiffnessLowConfig &config) const = 0;
      virtual void toServer(const ros::NodeHandle &nh, const jointStiffnessLowConfig &config) const = 0;
      virtual bool fromMessage(const dynamic_reconfigure::Config &msg, jointStiffnessLowConfig &config) const = 0;
      virtual void toMessage(dynamic_reconfigure::Config &msg, const jointStiffnessLowConfig &config) const = 0;
      virtual void getValue(const jointStiffnessLowConfig &config, boost::any &val) const = 0;
    };

    typedef boost::shared_ptr<AbstractParamDescription> AbstractParamDescriptionPtr;
    typedef boost::shared_ptr<const AbstractParamDescription> AbstractParamDescriptionConstPtr;
    
    template <class T>
    class ParamDescription : public AbstractParamDescription
    {
    public:
      ParamDescription(std::string name, std::string type, uint32_t level, 
          std::string description, std::string edit_method, T jointStiffnessLowConfig::* f) :
        AbstractParamDescription(name, type, level, description, edit_method),
        field(f)
      {}

      T (jointStiffnessLowConfig::* field);

      virtual void clamp(jointStiffnessLowConfig &config, const jointStiffnessLowConfig &max, const jointStiffnessLowConfig &min) const
      {
        if (config.*field > max.*field)
          config.*field = max.*field;
        
        if (config.*field < min.*field)
          config.*field = min.*field;
      }

      virtual void calcLevel(uint32_t &comb_level, const jointStiffnessLowConfig &config1, const jointStiffnessLowConfig &config2) const
      {
        if (config1.*field != config2.*field)
          comb_level |= level;
      }

      virtual void fromServer(const ros::NodeHandle &nh, jointStiffnessLowConfig &config) const
      {
        nh.getParam(name, config.*field);
      }

      virtual void toServer(const ros::NodeHandle &nh, const jointStiffnessLowConfig &config) const
      {
        nh.setParam(name, config.*field);
      }

      virtual bool fromMessage(const dynamic_reconfigure::Config &msg, jointStiffnessLowConfig &config) const
      {
        return dynamic_reconfigure::ConfigTools::getParameter(msg, name, config.*field);
      }

      virtual void toMessage(dynamic_reconfigure::Config &msg, const jointStiffnessLowConfig &config) const
      {
        dynamic_reconfigure::ConfigTools::appendParameter(msg, name, config.*field);
      }

      virtual void getValue(const jointStiffnessLowConfig &config, boost::any &val) const
      {
        val = config.*field;
      }
    };

    class AbstractGroupDescription : public dynamic_reconfigure::Group
    {
      public:
      AbstractGroupDescription(std::string n, std::string t, int p, int i, bool s)
      {
        name = n;
        type = t;
        parent = p;
        state = s;
        id = i;
      }

      std::vector<AbstractParamDescriptionConstPtr> abstract_parameters;
      bool state;

      virtual void toMessage(dynamic_reconfigure::Config &msg, const boost::any &config) const = 0;
      virtual bool fromMessage(const dynamic_reconfigure::Config &msg, boost::any &config) const =0;
      virtual void updateParams(boost::any &cfg, jointStiffnessLowConfig &top) const= 0;
      virtual void setInitialState(boost::any &cfg) const = 0;


      void convertParams()
      {
        for(std::vector<AbstractParamDescriptionConstPtr>::const_iterator i = abstract_parameters.begin(); i != abstract_parameters.end(); i++)
        {
          parameters.push_back(dynamic_reconfigure::ParamDescription(**i));
        }
      }
    };

    typedef boost::shared_ptr<AbstractGroupDescription> AbstractGroupDescriptionPtr;
    typedef boost::shared_ptr<const AbstractGroupDescription> AbstractGroupDescriptionConstPtr;

    template<class T, class PT>
    class GroupDescription : public AbstractGroupDescription
    {
    public:
      GroupDescription(std::string name, std::string type, int parent, int id, bool s, T PT::* f) : AbstractGroupDescription(name, type, parent, id, s), field(f)
      {
      }

      GroupDescription(const GroupDescription<T, PT>& g): AbstractGroupDescription(g.name, g.type, g.parent, g.id, g.state), field(g.field), groups(g.groups)
      {
        parameters = g.parameters;
        abstract_parameters = g.abstract_parameters;
      }

      virtual bool fromMessage(const dynamic_reconfigure::Config &msg, boost::any &cfg) const
      {
        PT* config = boost::any_cast<PT*>(cfg);
        if(!dynamic_reconfigure::ConfigTools::getGroupState(msg, name, (*config).*field))
          return false;
        
        for(std::vector<AbstractGroupDescriptionConstPtr>::const_iterator i = groups.begin(); i != groups.end(); i++) 
        {
          boost::any n = &((*config).*field);
          if(!(*i)->fromMessage(msg, n))
            return false;
        }

        return true;
      }

      virtual void setInitialState(boost::any &cfg) const
      {
        PT* config = boost::any_cast<PT*>(cfg);
        T* group = &((*config).*field);
        group->state = state;

        for(std::vector<AbstractGroupDescriptionConstPtr>::const_iterator i = groups.begin(); i != groups.end(); i++)
        {
          boost::any n = boost::any(&((*config).*field));
          (*i)->setInitialState(n);
        }

      }
      
      virtual void updateParams(boost::any &cfg, jointStiffnessLowConfig &top) const
      {
        PT* config = boost::any_cast<PT*>(cfg);

        T* f = &((*config).*field);
        f->setParams(top, abstract_parameters);

        for(std::vector<AbstractGroupDescriptionConstPtr>::const_iterator i = groups.begin(); i != groups.end(); i++) 
        {
          boost::any n = &((*config).*field);
          (*i)->updateParams(n, top);
        }
      }

      virtual void toMessage(dynamic_reconfigure::Config &msg, const boost::any &cfg) const
      {
        const PT config = boost::any_cast<PT>(cfg);
        dynamic_reconfigure::ConfigTools::appendGroup<T>(msg, name, id, parent, config.*field);

        for(std::vector<AbstractGroupDescriptionConstPtr>::const_iterator i = groups.begin(); i != groups.end(); i++)
        {
          (*i)->toMessage(msg, config.*field);
        }
      }

      T (PT::* field);
      std::vector<jointStiffnessLowConfig::AbstractGroupDescriptionConstPtr> groups;
    };
    
class DEFAULT
{
  public:
    DEFAULT()
    {
      state = true;
      name = "Default";
    }

    void setParams(jointStiffnessLowConfig &config, const std::vector<AbstractParamDescriptionConstPtr> params)
    {
      for (std::vector<AbstractParamDescriptionConstPtr>::const_iterator i = params.begin(); i != params.end(); i++)
      {
        boost::any val;
        (*i)->getValue(config, val);

        if("lj1"==(*i)->name){lj1 = boost::any_cast<std::string>(val);}
        if("lj2"==(*i)->name){lj2 = boost::any_cast<std::string>(val);}
        if("lj3"==(*i)->name){lj3 = boost::any_cast<std::string>(val);}
        if("lj4"==(*i)->name){lj4 = boost::any_cast<std::string>(val);}
        if("lj5"==(*i)->name){lj5 = boost::any_cast<std::string>(val);}
        if("lwp"==(*i)->name){lwp = boost::any_cast<std::string>(val);}
        if("lwy"==(*i)->name){lwy = boost::any_cast<std::string>(val);}
        if("ltr"==(*i)->name){ltr = boost::any_cast<std::string>(val);}
        if("ltp"==(*i)->name){ltp = boost::any_cast<std::string>(val);}
        if("ltm"==(*i)->name){ltm = boost::any_cast<std::string>(val);}
        if("ltd"==(*i)->name){ltd = boost::any_cast<std::string>(val);}
        if("liy"==(*i)->name){liy = boost::any_cast<std::string>(val);}
        if("lip"==(*i)->name){lip = boost::any_cast<std::string>(val);}
        if("lim"==(*i)->name){lim = boost::any_cast<std::string>(val);}
        if("lmy"==(*i)->name){lmy = boost::any_cast<std::string>(val);}
        if("lmp"==(*i)->name){lmp = boost::any_cast<std::string>(val);}
        if("lmm"==(*i)->name){lmm = boost::any_cast<std::string>(val);}
        if("lrpm"==(*i)->name){lrpm = boost::any_cast<std::string>(val);}
        if("llpm"==(*i)->name){llpm = boost::any_cast<std::string>(val);}
        if("rj1"==(*i)->name){rj1 = boost::any_cast<std::string>(val);}
        if("rj2"==(*i)->name){rj2 = boost::any_cast<std::string>(val);}
        if("rj3"==(*i)->name){rj3 = boost::any_cast<std::string>(val);}
        if("rj4"==(*i)->name){rj4 = boost::any_cast<std::string>(val);}
        if("rj5"==(*i)->name){rj5 = boost::any_cast<std::string>(val);}
        if("rwp"==(*i)->name){rwp = boost::any_cast<std::string>(val);}
        if("rwy"==(*i)->name){rwy = boost::any_cast<std::string>(val);}
        if("rtr"==(*i)->name){rtr = boost::any_cast<std::string>(val);}
        if("rtp"==(*i)->name){rtp = boost::any_cast<std::string>(val);}
        if("rtm"==(*i)->name){rtm = boost::any_cast<std::string>(val);}
        if("rtd"==(*i)->name){rtd = boost::any_cast<std::string>(val);}
        if("riy"==(*i)->name){riy = boost::any_cast<std::string>(val);}
        if("rip"==(*i)->name){rip = boost::any_cast<std::string>(val);}
        if("rim"==(*i)->name){rim = boost::any_cast<std::string>(val);}
        if("rmy"==(*i)->name){rmy = boost::any_cast<std::string>(val);}
        if("rmp"==(*i)->name){rmp = boost::any_cast<std::string>(val);}
        if("rmm"==(*i)->name){rmm = boost::any_cast<std::string>(val);}
        if("rrpm"==(*i)->name){rrpm = boost::any_cast<std::string>(val);}
        if("rlpm"==(*i)->name){rlpm = boost::any_cast<std::string>(val);}
      }
    }

    std::string lj1;
std::string lj2;
std::string lj3;
std::string lj4;
std::string lj5;
std::string lwp;
std::string lwy;
std::string ltr;
std::string ltp;
std::string ltm;
std::string ltd;
std::string liy;
std::string lip;
std::string lim;
std::string lmy;
std::string lmp;
std::string lmm;
std::string lrpm;
std::string llpm;
std::string rj1;
std::string rj2;
std::string rj3;
std::string rj4;
std::string rj5;
std::string rwp;
std::string rwy;
std::string rtr;
std::string rtp;
std::string rtm;
std::string rtd;
std::string riy;
std::string rip;
std::string rim;
std::string rmy;
std::string rmp;
std::string rmm;
std::string rrpm;
std::string rlpm;

    bool state;
    std::string name;

    
}groups;



//#line 259 "/opt/ros/fuerte/stacks/dynamic_reconfigure/src/dynamic_reconfigure/parameter_generator.py"
      std::string lj1;
//#line 259 "/opt/ros/fuerte/stacks/dynamic_reconfigure/src/dynamic_reconfigure/parameter_generator.py"
      std::string lj2;
//#line 259 "/opt/ros/fuerte/stacks/dynamic_reconfigure/src/dynamic_reconfigure/parameter_generator.py"
      std::string lj3;
//#line 259 "/opt/ros/fuerte/stacks/dynamic_reconfigure/src/dynamic_reconfigure/parameter_generator.py"
      std::string lj4;
//#line 259 "/opt/ros/fuerte/stacks/dynamic_reconfigure/src/dynamic_reconfigure/parameter_generator.py"
      std::string lj5;
//#line 259 "/opt/ros/fuerte/stacks/dynamic_reconfigure/src/dynamic_reconfigure/parameter_generator.py"
      std::string lwp;
//#line 259 "/opt/ros/fuerte/stacks/dynamic_reconfigure/src/dynamic_reconfigure/parameter_generator.py"
      std::string lwy;
//#line 259 "/opt/ros/fuerte/stacks/dynamic_reconfigure/src/dynamic_reconfigure/parameter_generator.py"
      std::string ltr;
//#line 259 "/opt/ros/fuerte/stacks/dynamic_reconfigure/src/dynamic_reconfigure/parameter_generator.py"
      std::string ltp;
//#line 259 "/opt/ros/fuerte/stacks/dynamic_reconfigure/src/dynamic_reconfigure/parameter_generator.py"
      std::string ltm;
//#line 259 "/opt/ros/fuerte/stacks/dynamic_reconfigure/src/dynamic_reconfigure/parameter_generator.py"
      std::string ltd;
//#line 259 "/opt/ros/fuerte/stacks/dynamic_reconfigure/src/dynamic_reconfigure/parameter_generator.py"
      std::string liy;
//#line 259 "/opt/ros/fuerte/stacks/dynamic_reconfigure/src/dynamic_reconfigure/parameter_generator.py"
      std::string lip;
//#line 259 "/opt/ros/fuerte/stacks/dynamic_reconfigure/src/dynamic_reconfigure/parameter_generator.py"
      std::string lim;
//#line 259 "/opt/ros/fuerte/stacks/dynamic_reconfigure/src/dynamic_reconfigure/parameter_generator.py"
      std::string lmy;
//#line 259 "/opt/ros/fuerte/stacks/dynamic_reconfigure/src/dynamic_reconfigure/parameter_generator.py"
      std::string lmp;
//#line 259 "/opt/ros/fuerte/stacks/dynamic_reconfigure/src/dynamic_reconfigure/parameter_generator.py"
      std::string lmm;
//#line 259 "/opt/ros/fuerte/stacks/dynamic_reconfigure/src/dynamic_reconfigure/parameter_generator.py"
      std::string lrpm;
//#line 259 "/opt/ros/fuerte/stacks/dynamic_reconfigure/src/dynamic_reconfigure/parameter_generator.py"
      std::string llpm;
//#line 259 "/opt/ros/fuerte/stacks/dynamic_reconfigure/src/dynamic_reconfigure/parameter_generator.py"
      std::string rj1;
//#line 259 "/opt/ros/fuerte/stacks/dynamic_reconfigure/src/dynamic_reconfigure/parameter_generator.py"
      std::string rj2;
//#line 259 "/opt/ros/fuerte/stacks/dynamic_reconfigure/src/dynamic_reconfigure/parameter_generator.py"
      std::string rj3;
//#line 259 "/opt/ros/fuerte/stacks/dynamic_reconfigure/src/dynamic_reconfigure/parameter_generator.py"
      std::string rj4;
//#line 259 "/opt/ros/fuerte/stacks/dynamic_reconfigure/src/dynamic_reconfigure/parameter_generator.py"
      std::string rj5;
//#line 259 "/opt/ros/fuerte/stacks/dynamic_reconfigure/src/dynamic_reconfigure/parameter_generator.py"
      std::string rwp;
//#line 259 "/opt/ros/fuerte/stacks/dynamic_reconfigure/src/dynamic_reconfigure/parameter_generator.py"
      std::string rwy;
//#line 259 "/opt/ros/fuerte/stacks/dynamic_reconfigure/src/dynamic_reconfigure/parameter_generator.py"
      std::string rtr;
//#line 259 "/opt/ros/fuerte/stacks/dynamic_reconfigure/src/dynamic_reconfigure/parameter_generator.py"
      std::string rtp;
//#line 259 "/opt/ros/fuerte/stacks/dynamic_reconfigure/src/dynamic_reconfigure/parameter_generator.py"
      std::string rtm;
//#line 259 "/opt/ros/fuerte/stacks/dynamic_reconfigure/src/dynamic_reconfigure/parameter_generator.py"
      std::string rtd;
//#line 259 "/opt/ros/fuerte/stacks/dynamic_reconfigure/src/dynamic_reconfigure/parameter_generator.py"
      std::string riy;
//#line 259 "/opt/ros/fuerte/stacks/dynamic_reconfigure/src/dynamic_reconfigure/parameter_generator.py"
      std::string rip;
//#line 259 "/opt/ros/fuerte/stacks/dynamic_reconfigure/src/dynamic_reconfigure/parameter_generator.py"
      std::string rim;
//#line 259 "/opt/ros/fuerte/stacks/dynamic_reconfigure/src/dynamic_reconfigure/parameter_generator.py"
      std::string rmy;
//#line 259 "/opt/ros/fuerte/stacks/dynamic_reconfigure/src/dynamic_reconfigure/parameter_generator.py"
      std::string rmp;
//#line 259 "/opt/ros/fuerte/stacks/dynamic_reconfigure/src/dynamic_reconfigure/parameter_generator.py"
      std::string rmm;
//#line 259 "/opt/ros/fuerte/stacks/dynamic_reconfigure/src/dynamic_reconfigure/parameter_generator.py"
      std::string rrpm;
//#line 259 "/opt/ros/fuerte/stacks/dynamic_reconfigure/src/dynamic_reconfigure/parameter_generator.py"
      std::string rlpm;
//#line 255 "/opt/ros/fuerte/stacks/dynamic_reconfigure/templates/ConfigType.h"

    bool __fromMessage__(dynamic_reconfigure::Config &msg)
    {
      const std::vector<AbstractParamDescriptionConstPtr> &__param_descriptions__ = __getParamDescriptions__();
      const std::vector<AbstractGroupDescriptionConstPtr> &__group_descriptions__ = __getGroupDescriptions__();

      int count = 0;
      for (std::vector<AbstractParamDescriptionConstPtr>::const_iterator i = __param_descriptions__.begin(); i != __param_descriptions__.end(); i++)
        if ((*i)->fromMessage(msg, *this))
          count++;

      for (std::vector<AbstractGroupDescriptionConstPtr>::const_iterator i = __group_descriptions__.begin(); i != __group_descriptions__.end(); i ++)
      {
        if ((*i)->id == 0)
        {
          boost::any n = boost::any(this);
          (*i)->updateParams(n, *this);
          (*i)->fromMessage(msg, n);
        }
      }

      if (count != dynamic_reconfigure::ConfigTools::size(msg))
      {
        ROS_ERROR("jointStiffnessLowConfig::__fromMessage__ called with an unexpected parameter.");
        ROS_ERROR("Booleans:");
        for (unsigned int i = 0; i < msg.bools.size(); i++)
          ROS_ERROR("  %s", msg.bools[i].name.c_str());
        ROS_ERROR("Integers:");
        for (unsigned int i = 0; i < msg.ints.size(); i++)
          ROS_ERROR("  %s", msg.ints[i].name.c_str());
        ROS_ERROR("Doubles:");
        for (unsigned int i = 0; i < msg.doubles.size(); i++)
          ROS_ERROR("  %s", msg.doubles[i].name.c_str());
        ROS_ERROR("Strings:");
        for (unsigned int i = 0; i < msg.strs.size(); i++)
          ROS_ERROR("  %s", msg.strs[i].name.c_str());
        // @todo Check that there are no duplicates. Make this error more
        // explicit.
        return false;
      }
      return true;
    }

    // This version of __toMessage__ is used during initialization of
    // statics when __getParamDescriptions__ can't be called yet.
    void __toMessage__(dynamic_reconfigure::Config &msg, const std::vector<AbstractParamDescriptionConstPtr> &__param_descriptions__, const std::vector<AbstractGroupDescriptionConstPtr> &__group_descriptions__) const
    {
      dynamic_reconfigure::ConfigTools::clear(msg);
      for (std::vector<AbstractParamDescriptionConstPtr>::const_iterator i = __param_descriptions__.begin(); i != __param_descriptions__.end(); i++)
        (*i)->toMessage(msg, *this);

      for (std::vector<AbstractGroupDescriptionConstPtr>::const_iterator i = __group_descriptions__.begin(); i != __group_descriptions__.end(); i++)
      {
        if((*i)->id == 0)
        {
          (*i)->toMessage(msg, *this);
        }
      }
    }
    
    void __toMessage__(dynamic_reconfigure::Config &msg) const
    {
      const std::vector<AbstractParamDescriptionConstPtr> &__param_descriptions__ = __getParamDescriptions__();
      const std::vector<AbstractGroupDescriptionConstPtr> &__group_descriptions__ = __getGroupDescriptions__();
      __toMessage__(msg, __param_descriptions__, __group_descriptions__);
    }
    
    void __toServer__(const ros::NodeHandle &nh) const
    {
      const std::vector<AbstractParamDescriptionConstPtr> &__param_descriptions__ = __getParamDescriptions__();
      for (std::vector<AbstractParamDescriptionConstPtr>::const_iterator i = __param_descriptions__.begin(); i != __param_descriptions__.end(); i++)
        (*i)->toServer(nh, *this);
    }

    void __fromServer__(const ros::NodeHandle &nh)
    {
      static bool setup=false;

      const std::vector<AbstractParamDescriptionConstPtr> &__param_descriptions__ = __getParamDescriptions__();
      for (std::vector<AbstractParamDescriptionConstPtr>::const_iterator i = __param_descriptions__.begin(); i != __param_descriptions__.end(); i++)
        (*i)->fromServer(nh, *this);

      const std::vector<AbstractGroupDescriptionConstPtr> &__group_descriptions__ = __getGroupDescriptions__();
      for (std::vector<AbstractGroupDescriptionConstPtr>::const_iterator i = __group_descriptions__.begin(); i != __group_descriptions__.end(); i++){
        if (!setup && (*i)->id == 0) {
          setup = true;
          boost::any n = boost::any(this);
          (*i)->setInitialState(n);
        }
      }
    }

    void __clamp__()
    {
      const std::vector<AbstractParamDescriptionConstPtr> &__param_descriptions__ = __getParamDescriptions__();
      const jointStiffnessLowConfig &__max__ = __getMax__();
      const jointStiffnessLowConfig &__min__ = __getMin__();
      for (std::vector<AbstractParamDescriptionConstPtr>::const_iterator i = __param_descriptions__.begin(); i != __param_descriptions__.end(); i++)
        (*i)->clamp(*this, __max__, __min__);
    }

    uint32_t __level__(const jointStiffnessLowConfig &config) const
    {
      const std::vector<AbstractParamDescriptionConstPtr> &__param_descriptions__ = __getParamDescriptions__();
      uint32_t level = 0;
      for (std::vector<AbstractParamDescriptionConstPtr>::const_iterator i = __param_descriptions__.begin(); i != __param_descriptions__.end(); i++)
        (*i)->calcLevel(level, config, *this);
      return level;
    }
    
    static const dynamic_reconfigure::ConfigDescription &__getDescriptionMessage__();
    static const jointStiffnessLowConfig &__getDefault__();
    static const jointStiffnessLowConfig &__getMax__();
    static const jointStiffnessLowConfig &__getMin__();
    static const std::vector<AbstractParamDescriptionConstPtr> &__getParamDescriptions__();
    static const std::vector<AbstractGroupDescriptionConstPtr> &__getGroupDescriptions__();
    
  private:
    static const jointStiffnessLowConfigStatics *__get_statics__();
  };
  
  template <> // Max and min are ignored for strings.
  inline void jointStiffnessLowConfig::ParamDescription<std::string>::clamp(jointStiffnessLowConfig &config, const jointStiffnessLowConfig &max, const jointStiffnessLowConfig &min) const
  {
    return;
  }

  class jointStiffnessLowConfigStatics
  {
    friend class jointStiffnessLowConfig;
    
    jointStiffnessLowConfigStatics()
    {
jointStiffnessLowConfig::GroupDescription<jointStiffnessLowConfig::DEFAULT, jointStiffnessLowConfig> Default("Default", "", 0, 0, true, &jointStiffnessLowConfig::groups);
//#line 259 "/opt/ros/fuerte/stacks/dynamic_reconfigure/src/dynamic_reconfigure/parameter_generator.py"
      __min__.lj1 = "";
//#line 259 "/opt/ros/fuerte/stacks/dynamic_reconfigure/src/dynamic_reconfigure/parameter_generator.py"
      __max__.lj1 = "";
//#line 259 "/opt/ros/fuerte/stacks/dynamic_reconfigure/src/dynamic_reconfigure/parameter_generator.py"
      __default__.lj1 = "0.0";
//#line 259 "/opt/ros/fuerte/stacks/dynamic_reconfigure/src/dynamic_reconfigure/parameter_generator.py"
      Default.abstract_parameters.push_back(jointStiffnessLowConfig::AbstractParamDescriptionConstPtr(new jointStiffnessLowConfig::ParamDescription<std::string>("lj1", "str", 0, "LJ1 Stiffness Low", "", &jointStiffnessLowConfig::lj1)));
//#line 259 "/opt/ros/fuerte/stacks/dynamic_reconfigure/src/dynamic_reconfigure/parameter_generator.py"
      __param_descriptions__.push_back(jointStiffnessLowConfig::AbstractParamDescriptionConstPtr(new jointStiffnessLowConfig::ParamDescription<std::string>("lj1", "str", 0, "LJ1 Stiffness Low", "", &jointStiffnessLowConfig::lj1)));
//#line 259 "/opt/ros/fuerte/stacks/dynamic_reconfigure/src/dynamic_reconfigure/parameter_generator.py"
      __min__.lj2 = "";
//#line 259 "/opt/ros/fuerte/stacks/dynamic_reconfigure/src/dynamic_reconfigure/parameter_generator.py"
      __max__.lj2 = "";
//#line 259 "/opt/ros/fuerte/stacks/dynamic_reconfigure/src/dynamic_reconfigure/parameter_generator.py"
      __default__.lj2 = "16.0";
//#line 259 "/opt/ros/fuerte/stacks/dynamic_reconfigure/src/dynamic_reconfigure/parameter_generator.py"
      Default.abstract_parameters.push_back(jointStiffnessLowConfig::AbstractParamDescriptionConstPtr(new jointStiffnessLowConfig::ParamDescription<std::string>("lj2", "str", 0, "LJ2 Stiffness Low", "", &jointStiffnessLowConfig::lj2)));
//#line 259 "/opt/ros/fuerte/stacks/dynamic_reconfigure/src/dynamic_reconfigure/parameter_generator.py"
      __param_descriptions__.push_back(jointStiffnessLowConfig::AbstractParamDescriptionConstPtr(new jointStiffnessLowConfig::ParamDescription<std::string>("lj2", "str", 0, "LJ2 Stiffness Low", "", &jointStiffnessLowConfig::lj2)));
//#line 259 "/opt/ros/fuerte/stacks/dynamic_reconfigure/src/dynamic_reconfigure/parameter_generator.py"
      __min__.lj3 = "";
//#line 259 "/opt/ros/fuerte/stacks/dynamic_reconfigure/src/dynamic_reconfigure/parameter_generator.py"
      __max__.lj3 = "";
//#line 259 "/opt/ros/fuerte/stacks/dynamic_reconfigure/src/dynamic_reconfigure/parameter_generator.py"
      __default__.lj3 = "0.0";
//#line 259 "/opt/ros/fuerte/stacks/dynamic_reconfigure/src/dynamic_reconfigure/parameter_generator.py"
      Default.abstract_parameters.push_back(jointStiffnessLowConfig::AbstractParamDescriptionConstPtr(new jointStiffnessLowConfig::ParamDescription<std::string>("lj3", "str", 0, "LJ3 Stiffness Low", "", &jointStiffnessLowConfig::lj3)));
//#line 259 "/opt/ros/fuerte/stacks/dynamic_reconfigure/src/dynamic_reconfigure/parameter_generator.py"
      __param_descriptions__.push_back(jointStiffnessLowConfig::AbstractParamDescriptionConstPtr(new jointStiffnessLowConfig::ParamDescription<std::string>("lj3", "str", 0, "LJ3 Stiffness Low", "", &jointStiffnessLowConfig::lj3)));
//#line 259 "/opt/ros/fuerte/stacks/dynamic_reconfigure/src/dynamic_reconfigure/parameter_generator.py"
      __min__.lj4 = "";
//#line 259 "/opt/ros/fuerte/stacks/dynamic_reconfigure/src/dynamic_reconfigure/parameter_generator.py"
      __max__.lj4 = "";
//#line 259 "/opt/ros/fuerte/stacks/dynamic_reconfigure/src/dynamic_reconfigure/parameter_generator.py"
      __default__.lj4 = "0.0";
//#line 259 "/opt/ros/fuerte/stacks/dynamic_reconfigure/src/dynamic_reconfigure/parameter_generator.py"
      Default.abstract_parameters.push_back(jointStiffnessLowConfig::AbstractParamDescriptionConstPtr(new jointStiffnessLowConfig::ParamDescription<std::string>("lj4", "str", 0, "LJ4 Stiffness Low", "", &jointStiffnessLowConfig::lj4)));
//#line 259 "/opt/ros/fuerte/stacks/dynamic_reconfigure/src/dynamic_reconfigure/parameter_generator.py"
      __param_descriptions__.push_back(jointStiffnessLowConfig::AbstractParamDescriptionConstPtr(new jointStiffnessLowConfig::ParamDescription<std::string>("lj4", "str", 0, "LJ4 Stiffness Low", "", &jointStiffnessLowConfig::lj4)));
//#line 259 "/opt/ros/fuerte/stacks/dynamic_reconfigure/src/dynamic_reconfigure/parameter_generator.py"
      __min__.lj5 = "";
//#line 259 "/opt/ros/fuerte/stacks/dynamic_reconfigure/src/dynamic_reconfigure/parameter_generator.py"
      __max__.lj5 = "";
//#line 259 "/opt/ros/fuerte/stacks/dynamic_reconfigure/src/dynamic_reconfigure/parameter_generator.py"
      __default__.lj5 = "0.0";
//#line 259 "/opt/ros/fuerte/stacks/dynamic_reconfigure/src/dynamic_reconfigure/parameter_generator.py"
      Default.abstract_parameters.push_back(jointStiffnessLowConfig::AbstractParamDescriptionConstPtr(new jointStiffnessLowConfig::ParamDescription<std::string>("lj5", "str", 0, "LJ5 Stiffness Low", "", &jointStiffnessLowConfig::lj5)));
//#line 259 "/opt/ros/fuerte/stacks/dynamic_reconfigure/src/dynamic_reconfigure/parameter_generator.py"
      __param_descriptions__.push_back(jointStiffnessLowConfig::AbstractParamDescriptionConstPtr(new jointStiffnessLowConfig::ParamDescription<std::string>("lj5", "str", 0, "LJ5 Stiffness Low", "", &jointStiffnessLowConfig::lj5)));
//#line 259 "/opt/ros/fuerte/stacks/dynamic_reconfigure/src/dynamic_reconfigure/parameter_generator.py"
      __min__.lwp = "";
//#line 259 "/opt/ros/fuerte/stacks/dynamic_reconfigure/src/dynamic_reconfigure/parameter_generator.py"
      __max__.lwp = "";
//#line 259 "/opt/ros/fuerte/stacks/dynamic_reconfigure/src/dynamic_reconfigure/parameter_generator.py"
      __default__.lwp = "0.0";
//#line 259 "/opt/ros/fuerte/stacks/dynamic_reconfigure/src/dynamic_reconfigure/parameter_generator.py"
      Default.abstract_parameters.push_back(jointStiffnessLowConfig::AbstractParamDescriptionConstPtr(new jointStiffnessLowConfig::ParamDescription<std::string>("lwp", "str", 0, "LWP Stiffness Low", "", &jointStiffnessLowConfig::lwp)));
//#line 259 "/opt/ros/fuerte/stacks/dynamic_reconfigure/src/dynamic_reconfigure/parameter_generator.py"
      __param_descriptions__.push_back(jointStiffnessLowConfig::AbstractParamDescriptionConstPtr(new jointStiffnessLowConfig::ParamDescription<std::string>("lwp", "str", 0, "LWP Stiffness Low", "", &jointStiffnessLowConfig::lwp)));
//#line 259 "/opt/ros/fuerte/stacks/dynamic_reconfigure/src/dynamic_reconfigure/parameter_generator.py"
      __min__.lwy = "";
//#line 259 "/opt/ros/fuerte/stacks/dynamic_reconfigure/src/dynamic_reconfigure/parameter_generator.py"
      __max__.lwy = "";
//#line 259 "/opt/ros/fuerte/stacks/dynamic_reconfigure/src/dynamic_reconfigure/parameter_generator.py"
      __default__.lwy = "0.0";
//#line 259 "/opt/ros/fuerte/stacks/dynamic_reconfigure/src/dynamic_reconfigure/parameter_generator.py"
      Default.abstract_parameters.push_back(jointStiffnessLowConfig::AbstractParamDescriptionConstPtr(new jointStiffnessLowConfig::ParamDescription<std::string>("lwy", "str", 0, "LWY Stiffness Low", "", &jointStiffnessLowConfig::lwy)));
//#line 259 "/opt/ros/fuerte/stacks/dynamic_reconfigure/src/dynamic_reconfigure/parameter_generator.py"
      __param_descriptions__.push_back(jointStiffnessLowConfig::AbstractParamDescriptionConstPtr(new jointStiffnessLowConfig::ParamDescription<std::string>("lwy", "str", 0, "LWY Stiffness Low", "", &jointStiffnessLowConfig::lwy)));
//#line 259 "/opt/ros/fuerte/stacks/dynamic_reconfigure/src/dynamic_reconfigure/parameter_generator.py"
      __min__.ltr = "";
//#line 259 "/opt/ros/fuerte/stacks/dynamic_reconfigure/src/dynamic_reconfigure/parameter_generator.py"
      __max__.ltr = "";
//#line 259 "/opt/ros/fuerte/stacks/dynamic_reconfigure/src/dynamic_reconfigure/parameter_generator.py"
      __default__.ltr = "0.0";
//#line 259 "/opt/ros/fuerte/stacks/dynamic_reconfigure/src/dynamic_reconfigure/parameter_generator.py"
      Default.abstract_parameters.push_back(jointStiffnessLowConfig::AbstractParamDescriptionConstPtr(new jointStiffnessLowConfig::ParamDescription<std::string>("ltr", "str", 0, "Left Thumb Roll Stiffness Low", "", &jointStiffnessLowConfig::ltr)));
//#line 259 "/opt/ros/fuerte/stacks/dynamic_reconfigure/src/dynamic_reconfigure/parameter_generator.py"
      __param_descriptions__.push_back(jointStiffnessLowConfig::AbstractParamDescriptionConstPtr(new jointStiffnessLowConfig::ParamDescription<std::string>("ltr", "str", 0, "Left Thumb Roll Stiffness Low", "", &jointStiffnessLowConfig::ltr)));
//#line 259 "/opt/ros/fuerte/stacks/dynamic_reconfigure/src/dynamic_reconfigure/parameter_generator.py"
      __min__.ltp = "";
//#line 259 "/opt/ros/fuerte/stacks/dynamic_reconfigure/src/dynamic_reconfigure/parameter_generator.py"
      __max__.ltp = "";
//#line 259 "/opt/ros/fuerte/stacks/dynamic_reconfigure/src/dynamic_reconfigure/parameter_generator.py"
      __default__.ltp = "0.0";
//#line 259 "/opt/ros/fuerte/stacks/dynamic_reconfigure/src/dynamic_reconfigure/parameter_generator.py"
      Default.abstract_parameters.push_back(jointStiffnessLowConfig::AbstractParamDescriptionConstPtr(new jointStiffnessLowConfig::ParamDescription<std::string>("ltp", "str", 0, "Left Thumb Proximal Stiffness Low", "", &jointStiffnessLowConfig::ltp)));
//#line 259 "/opt/ros/fuerte/stacks/dynamic_reconfigure/src/dynamic_reconfigure/parameter_generator.py"
      __param_descriptions__.push_back(jointStiffnessLowConfig::AbstractParamDescriptionConstPtr(new jointStiffnessLowConfig::ParamDescription<std::string>("ltp", "str", 0, "Left Thumb Proximal Stiffness Low", "", &jointStiffnessLowConfig::ltp)));
//#line 259 "/opt/ros/fuerte/stacks/dynamic_reconfigure/src/dynamic_reconfigure/parameter_generator.py"
      __min__.ltm = "";
//#line 259 "/opt/ros/fuerte/stacks/dynamic_reconfigure/src/dynamic_reconfigure/parameter_generator.py"
      __max__.ltm = "";
//#line 259 "/opt/ros/fuerte/stacks/dynamic_reconfigure/src/dynamic_reconfigure/parameter_generator.py"
      __default__.ltm = "0.0";
//#line 259 "/opt/ros/fuerte/stacks/dynamic_reconfigure/src/dynamic_reconfigure/parameter_generator.py"
      Default.abstract_parameters.push_back(jointStiffnessLowConfig::AbstractParamDescriptionConstPtr(new jointStiffnessLowConfig::ParamDescription<std::string>("ltm", "str", 0, "Left Thumb Medial Stiffness Low", "", &jointStiffnessLowConfig::ltm)));
//#line 259 "/opt/ros/fuerte/stacks/dynamic_reconfigure/src/dynamic_reconfigure/parameter_generator.py"
      __param_descriptions__.push_back(jointStiffnessLowConfig::AbstractParamDescriptionConstPtr(new jointStiffnessLowConfig::ParamDescription<std::string>("ltm", "str", 0, "Left Thumb Medial Stiffness Low", "", &jointStiffnessLowConfig::ltm)));
//#line 259 "/opt/ros/fuerte/stacks/dynamic_reconfigure/src/dynamic_reconfigure/parameter_generator.py"
      __min__.ltd = "";
//#line 259 "/opt/ros/fuerte/stacks/dynamic_reconfigure/src/dynamic_reconfigure/parameter_generator.py"
      __max__.ltd = "";
//#line 259 "/opt/ros/fuerte/stacks/dynamic_reconfigure/src/dynamic_reconfigure/parameter_generator.py"
      __default__.ltd = "0.0";
//#line 259 "/opt/ros/fuerte/stacks/dynamic_reconfigure/src/dynamic_reconfigure/parameter_generator.py"
      Default.abstract_parameters.push_back(jointStiffnessLowConfig::AbstractParamDescriptionConstPtr(new jointStiffnessLowConfig::ParamDescription<std::string>("ltd", "str", 0, "Left Thumb Distal Stiffness Low", "", &jointStiffnessLowConfig::ltd)));
//#line 259 "/opt/ros/fuerte/stacks/dynamic_reconfigure/src/dynamic_reconfigure/parameter_generator.py"
      __param_descriptions__.push_back(jointStiffnessLowConfig::AbstractParamDescriptionConstPtr(new jointStiffnessLowConfig::ParamDescription<std::string>("ltd", "str", 0, "Left Thumb Distal Stiffness Low", "", &jointStiffnessLowConfig::ltd)));
//#line 259 "/opt/ros/fuerte/stacks/dynamic_reconfigure/src/dynamic_reconfigure/parameter_generator.py"
      __min__.liy = "";
//#line 259 "/opt/ros/fuerte/stacks/dynamic_reconfigure/src/dynamic_reconfigure/parameter_generator.py"
      __max__.liy = "";
//#line 259 "/opt/ros/fuerte/stacks/dynamic_reconfigure/src/dynamic_reconfigure/parameter_generator.py"
      __default__.liy = "0.0";
//#line 259 "/opt/ros/fuerte/stacks/dynamic_reconfigure/src/dynamic_reconfigure/parameter_generator.py"
      Default.abstract_parameters.push_back(jointStiffnessLowConfig::AbstractParamDescriptionConstPtr(new jointStiffnessLowConfig::ParamDescription<std::string>("liy", "str", 0, "Left Index Yaw Stiffness Low", "", &jointStiffnessLowConfig::liy)));
//#line 259 "/opt/ros/fuerte/stacks/dynamic_reconfigure/src/dynamic_reconfigure/parameter_generator.py"
      __param_descriptions__.push_back(jointStiffnessLowConfig::AbstractParamDescriptionConstPtr(new jointStiffnessLowConfig::ParamDescription<std::string>("liy", "str", 0, "Left Index Yaw Stiffness Low", "", &jointStiffnessLowConfig::liy)));
//#line 259 "/opt/ros/fuerte/stacks/dynamic_reconfigure/src/dynamic_reconfigure/parameter_generator.py"
      __min__.lip = "";
//#line 259 "/opt/ros/fuerte/stacks/dynamic_reconfigure/src/dynamic_reconfigure/parameter_generator.py"
      __max__.lip = "";
//#line 259 "/opt/ros/fuerte/stacks/dynamic_reconfigure/src/dynamic_reconfigure/parameter_generator.py"
      __default__.lip = "0.0";
//#line 259 "/opt/ros/fuerte/stacks/dynamic_reconfigure/src/dynamic_reconfigure/parameter_generator.py"
      Default.abstract_parameters.push_back(jointStiffnessLowConfig::AbstractParamDescriptionConstPtr(new jointStiffnessLowConfig::ParamDescription<std::string>("lip", "str", 0, "Left Index Proximal Stiffness Low", "", &jointStiffnessLowConfig::lip)));
//#line 259 "/opt/ros/fuerte/stacks/dynamic_reconfigure/src/dynamic_reconfigure/parameter_generator.py"
      __param_descriptions__.push_back(jointStiffnessLowConfig::AbstractParamDescriptionConstPtr(new jointStiffnessLowConfig::ParamDescription<std::string>("lip", "str", 0, "Left Index Proximal Stiffness Low", "", &jointStiffnessLowConfig::lip)));
//#line 259 "/opt/ros/fuerte/stacks/dynamic_reconfigure/src/dynamic_reconfigure/parameter_generator.py"
      __min__.lim = "";
//#line 259 "/opt/ros/fuerte/stacks/dynamic_reconfigure/src/dynamic_reconfigure/parameter_generator.py"
      __max__.lim = "";
//#line 259 "/opt/ros/fuerte/stacks/dynamic_reconfigure/src/dynamic_reconfigure/parameter_generator.py"
      __default__.lim = "0.0";
//#line 259 "/opt/ros/fuerte/stacks/dynamic_reconfigure/src/dynamic_reconfigure/parameter_generator.py"
      Default.abstract_parameters.push_back(jointStiffnessLowConfig::AbstractParamDescriptionConstPtr(new jointStiffnessLowConfig::ParamDescription<std::string>("lim", "str", 0, "Left Index Medial Stiffness Low", "", &jointStiffnessLowConfig::lim)));
//#line 259 "/opt/ros/fuerte/stacks/dynamic_reconfigure/src/dynamic_reconfigure/parameter_generator.py"
      __param_descriptions__.push_back(jointStiffnessLowConfig::AbstractParamDescriptionConstPtr(new jointStiffnessLowConfig::ParamDescription<std::string>("lim", "str", 0, "Left Index Medial Stiffness Low", "", &jointStiffnessLowConfig::lim)));
//#line 259 "/opt/ros/fuerte/stacks/dynamic_reconfigure/src/dynamic_reconfigure/parameter_generator.py"
      __min__.lmy = "";
//#line 259 "/opt/ros/fuerte/stacks/dynamic_reconfigure/src/dynamic_reconfigure/parameter_generator.py"
      __max__.lmy = "";
//#line 259 "/opt/ros/fuerte/stacks/dynamic_reconfigure/src/dynamic_reconfigure/parameter_generator.py"
      __default__.lmy = "0.0";
//#line 259 "/opt/ros/fuerte/stacks/dynamic_reconfigure/src/dynamic_reconfigure/parameter_generator.py"
      Default.abstract_parameters.push_back(jointStiffnessLowConfig::AbstractParamDescriptionConstPtr(new jointStiffnessLowConfig::ParamDescription<std::string>("lmy", "str", 0, "Left Middle Yaw Stiffness Low", "", &jointStiffnessLowConfig::lmy)));
//#line 259 "/opt/ros/fuerte/stacks/dynamic_reconfigure/src/dynamic_reconfigure/parameter_generator.py"
      __param_descriptions__.push_back(jointStiffnessLowConfig::AbstractParamDescriptionConstPtr(new jointStiffnessLowConfig::ParamDescription<std::string>("lmy", "str", 0, "Left Middle Yaw Stiffness Low", "", &jointStiffnessLowConfig::lmy)));
//#line 259 "/opt/ros/fuerte/stacks/dynamic_reconfigure/src/dynamic_reconfigure/parameter_generator.py"
      __min__.lmp = "";
//#line 259 "/opt/ros/fuerte/stacks/dynamic_reconfigure/src/dynamic_reconfigure/parameter_generator.py"
      __max__.lmp = "";
//#line 259 "/opt/ros/fuerte/stacks/dynamic_reconfigure/src/dynamic_reconfigure/parameter_generator.py"
      __default__.lmp = "0.0";
//#line 259 "/opt/ros/fuerte/stacks/dynamic_reconfigure/src/dynamic_reconfigure/parameter_generator.py"
      Default.abstract_parameters.push_back(jointStiffnessLowConfig::AbstractParamDescriptionConstPtr(new jointStiffnessLowConfig::ParamDescription<std::string>("lmp", "str", 0, "Left Middle Proximal Stiffness Low", "", &jointStiffnessLowConfig::lmp)));
//#line 259 "/opt/ros/fuerte/stacks/dynamic_reconfigure/src/dynamic_reconfigure/parameter_generator.py"
      __param_descriptions__.push_back(jointStiffnessLowConfig::AbstractParamDescriptionConstPtr(new jointStiffnessLowConfig::ParamDescription<std::string>("lmp", "str", 0, "Left Middle Proximal Stiffness Low", "", &jointStiffnessLowConfig::lmp)));
//#line 259 "/opt/ros/fuerte/stacks/dynamic_reconfigure/src/dynamic_reconfigure/parameter_generator.py"
      __min__.lmm = "";
//#line 259 "/opt/ros/fuerte/stacks/dynamic_reconfigure/src/dynamic_reconfigure/parameter_generator.py"
      __max__.lmm = "";
//#line 259 "/opt/ros/fuerte/stacks/dynamic_reconfigure/src/dynamic_reconfigure/parameter_generator.py"
      __default__.lmm = "0.0";
//#line 259 "/opt/ros/fuerte/stacks/dynamic_reconfigure/src/dynamic_reconfigure/parameter_generator.py"
      Default.abstract_parameters.push_back(jointStiffnessLowConfig::AbstractParamDescriptionConstPtr(new jointStiffnessLowConfig::ParamDescription<std::string>("lmm", "str", 0, "Left Middle Medial Stiffness Low", "", &jointStiffnessLowConfig::lmm)));
//#line 259 "/opt/ros/fuerte/stacks/dynamic_reconfigure/src/dynamic_reconfigure/parameter_generator.py"
      __param_descriptions__.push_back(jointStiffnessLowConfig::AbstractParamDescriptionConstPtr(new jointStiffnessLowConfig::ParamDescription<std::string>("lmm", "str", 0, "Left Middle Medial Stiffness Low", "", &jointStiffnessLowConfig::lmm)));
//#line 259 "/opt/ros/fuerte/stacks/dynamic_reconfigure/src/dynamic_reconfigure/parameter_generator.py"
      __min__.lrpm = "";
//#line 259 "/opt/ros/fuerte/stacks/dynamic_reconfigure/src/dynamic_reconfigure/parameter_generator.py"
      __max__.lrpm = "";
//#line 259 "/opt/ros/fuerte/stacks/dynamic_reconfigure/src/dynamic_reconfigure/parameter_generator.py"
      __default__.lrpm = "0.0";
//#line 259 "/opt/ros/fuerte/stacks/dynamic_reconfigure/src/dynamic_reconfigure/parameter_generator.py"
      Default.abstract_parameters.push_back(jointStiffnessLowConfig::AbstractParamDescriptionConstPtr(new jointStiffnessLowConfig::ParamDescription<std::string>("lrpm", "str", 0, "Left Ring ProxMed Stiffness Low", "", &jointStiffnessLowConfig::lrpm)));
//#line 259 "/opt/ros/fuerte/stacks/dynamic_reconfigure/src/dynamic_reconfigure/parameter_generator.py"
      __param_descriptions__.push_back(jointStiffnessLowConfig::AbstractParamDescriptionConstPtr(new jointStiffnessLowConfig::ParamDescription<std::string>("lrpm", "str", 0, "Left Ring ProxMed Stiffness Low", "", &jointStiffnessLowConfig::lrpm)));
//#line 259 "/opt/ros/fuerte/stacks/dynamic_reconfigure/src/dynamic_reconfigure/parameter_generator.py"
      __min__.llpm = "";
//#line 259 "/opt/ros/fuerte/stacks/dynamic_reconfigure/src/dynamic_reconfigure/parameter_generator.py"
      __max__.llpm = "";
//#line 259 "/opt/ros/fuerte/stacks/dynamic_reconfigure/src/dynamic_reconfigure/parameter_generator.py"
      __default__.llpm = "0.0";
//#line 259 "/opt/ros/fuerte/stacks/dynamic_reconfigure/src/dynamic_reconfigure/parameter_generator.py"
      Default.abstract_parameters.push_back(jointStiffnessLowConfig::AbstractParamDescriptionConstPtr(new jointStiffnessLowConfig::ParamDescription<std::string>("llpm", "str", 0, "Left Little ProxMed Stiffness Low", "", &jointStiffnessLowConfig::llpm)));
//#line 259 "/opt/ros/fuerte/stacks/dynamic_reconfigure/src/dynamic_reconfigure/parameter_generator.py"
      __param_descriptions__.push_back(jointStiffnessLowConfig::AbstractParamDescriptionConstPtr(new jointStiffnessLowConfig::ParamDescription<std::string>("llpm", "str", 0, "Left Little ProxMed Stiffness Low", "", &jointStiffnessLowConfig::llpm)));
//#line 259 "/opt/ros/fuerte/stacks/dynamic_reconfigure/src/dynamic_reconfigure/parameter_generator.py"
      __min__.rj1 = "";
//#line 259 "/opt/ros/fuerte/stacks/dynamic_reconfigure/src/dynamic_reconfigure/parameter_generator.py"
      __max__.rj1 = "";
//#line 259 "/opt/ros/fuerte/stacks/dynamic_reconfigure/src/dynamic_reconfigure/parameter_generator.py"
      __default__.rj1 = "0.0";
//#line 259 "/opt/ros/fuerte/stacks/dynamic_reconfigure/src/dynamic_reconfigure/parameter_generator.py"
      Default.abstract_parameters.push_back(jointStiffnessLowConfig::AbstractParamDescriptionConstPtr(new jointStiffnessLowConfig::ParamDescription<std::string>("rj1", "str", 0, "RJ1 Stiffness Low", "", &jointStiffnessLowConfig::rj1)));
//#line 259 "/opt/ros/fuerte/stacks/dynamic_reconfigure/src/dynamic_reconfigure/parameter_generator.py"
      __param_descriptions__.push_back(jointStiffnessLowConfig::AbstractParamDescriptionConstPtr(new jointStiffnessLowConfig::ParamDescription<std::string>("rj1", "str", 0, "RJ1 Stiffness Low", "", &jointStiffnessLowConfig::rj1)));
//#line 259 "/opt/ros/fuerte/stacks/dynamic_reconfigure/src/dynamic_reconfigure/parameter_generator.py"
      __min__.rj2 = "";
//#line 259 "/opt/ros/fuerte/stacks/dynamic_reconfigure/src/dynamic_reconfigure/parameter_generator.py"
      __max__.rj2 = "";
//#line 259 "/opt/ros/fuerte/stacks/dynamic_reconfigure/src/dynamic_reconfigure/parameter_generator.py"
      __default__.rj2 = "16.0";
//#line 259 "/opt/ros/fuerte/stacks/dynamic_reconfigure/src/dynamic_reconfigure/parameter_generator.py"
      Default.abstract_parameters.push_back(jointStiffnessLowConfig::AbstractParamDescriptionConstPtr(new jointStiffnessLowConfig::ParamDescription<std::string>("rj2", "str", 0, "RJ2 Stiffness Low", "", &jointStiffnessLowConfig::rj2)));
//#line 259 "/opt/ros/fuerte/stacks/dynamic_reconfigure/src/dynamic_reconfigure/parameter_generator.py"
      __param_descriptions__.push_back(jointStiffnessLowConfig::AbstractParamDescriptionConstPtr(new jointStiffnessLowConfig::ParamDescription<std::string>("rj2", "str", 0, "RJ2 Stiffness Low", "", &jointStiffnessLowConfig::rj2)));
//#line 259 "/opt/ros/fuerte/stacks/dynamic_reconfigure/src/dynamic_reconfigure/parameter_generator.py"
      __min__.rj3 = "";
//#line 259 "/opt/ros/fuerte/stacks/dynamic_reconfigure/src/dynamic_reconfigure/parameter_generator.py"
      __max__.rj3 = "";
//#line 259 "/opt/ros/fuerte/stacks/dynamic_reconfigure/src/dynamic_reconfigure/parameter_generator.py"
      __default__.rj3 = "0.0";
//#line 259 "/opt/ros/fuerte/stacks/dynamic_reconfigure/src/dynamic_reconfigure/parameter_generator.py"
      Default.abstract_parameters.push_back(jointStiffnessLowConfig::AbstractParamDescriptionConstPtr(new jointStiffnessLowConfig::ParamDescription<std::string>("rj3", "str", 0, "RJ3 Stiffness Low", "", &jointStiffnessLowConfig::rj3)));
//#line 259 "/opt/ros/fuerte/stacks/dynamic_reconfigure/src/dynamic_reconfigure/parameter_generator.py"
      __param_descriptions__.push_back(jointStiffnessLowConfig::AbstractParamDescriptionConstPtr(new jointStiffnessLowConfig::ParamDescription<std::string>("rj3", "str", 0, "RJ3 Stiffness Low", "", &jointStiffnessLowConfig::rj3)));
//#line 259 "/opt/ros/fuerte/stacks/dynamic_reconfigure/src/dynamic_reconfigure/parameter_generator.py"
      __min__.rj4 = "";
//#line 259 "/opt/ros/fuerte/stacks/dynamic_reconfigure/src/dynamic_reconfigure/parameter_generator.py"
      __max__.rj4 = "";
//#line 259 "/opt/ros/fuerte/stacks/dynamic_reconfigure/src/dynamic_reconfigure/parameter_generator.py"
      __default__.rj4 = "0.0";
//#line 259 "/opt/ros/fuerte/stacks/dynamic_reconfigure/src/dynamic_reconfigure/parameter_generator.py"
      Default.abstract_parameters.push_back(jointStiffnessLowConfig::AbstractParamDescriptionConstPtr(new jointStiffnessLowConfig::ParamDescription<std::string>("rj4", "str", 0, "RJ4 Stiffness Low", "", &jointStiffnessLowConfig::rj4)));
//#line 259 "/opt/ros/fuerte/stacks/dynamic_reconfigure/src/dynamic_reconfigure/parameter_generator.py"
      __param_descriptions__.push_back(jointStiffnessLowConfig::AbstractParamDescriptionConstPtr(new jointStiffnessLowConfig::ParamDescription<std::string>("rj4", "str", 0, "RJ4 Stiffness Low", "", &jointStiffnessLowConfig::rj4)));
//#line 259 "/opt/ros/fuerte/stacks/dynamic_reconfigure/src/dynamic_reconfigure/parameter_generator.py"
      __min__.rj5 = "";
//#line 259 "/opt/ros/fuerte/stacks/dynamic_reconfigure/src/dynamic_reconfigure/parameter_generator.py"
      __max__.rj5 = "";
//#line 259 "/opt/ros/fuerte/stacks/dynamic_reconfigure/src/dynamic_reconfigure/parameter_generator.py"
      __default__.rj5 = "0.0";
//#line 259 "/opt/ros/fuerte/stacks/dynamic_reconfigure/src/dynamic_reconfigure/parameter_generator.py"
      Default.abstract_parameters.push_back(jointStiffnessLowConfig::AbstractParamDescriptionConstPtr(new jointStiffnessLowConfig::ParamDescription<std::string>("rj5", "str", 0, "RJ5 Stiffness Low", "", &jointStiffnessLowConfig::rj5)));
//#line 259 "/opt/ros/fuerte/stacks/dynamic_reconfigure/src/dynamic_reconfigure/parameter_generator.py"
      __param_descriptions__.push_back(jointStiffnessLowConfig::AbstractParamDescriptionConstPtr(new jointStiffnessLowConfig::ParamDescription<std::string>("rj5", "str", 0, "RJ5 Stiffness Low", "", &jointStiffnessLowConfig::rj5)));
//#line 259 "/opt/ros/fuerte/stacks/dynamic_reconfigure/src/dynamic_reconfigure/parameter_generator.py"
      __min__.rwp = "";
//#line 259 "/opt/ros/fuerte/stacks/dynamic_reconfigure/src/dynamic_reconfigure/parameter_generator.py"
      __max__.rwp = "";
//#line 259 "/opt/ros/fuerte/stacks/dynamic_reconfigure/src/dynamic_reconfigure/parameter_generator.py"
      __default__.rwp = "0.0";
//#line 259 "/opt/ros/fuerte/stacks/dynamic_reconfigure/src/dynamic_reconfigure/parameter_generator.py"
      Default.abstract_parameters.push_back(jointStiffnessLowConfig::AbstractParamDescriptionConstPtr(new jointStiffnessLowConfig::ParamDescription<std::string>("rwp", "str", 0, "RWP Stiffness Low", "", &jointStiffnessLowConfig::rwp)));
//#line 259 "/opt/ros/fuerte/stacks/dynamic_reconfigure/src/dynamic_reconfigure/parameter_generator.py"
      __param_descriptions__.push_back(jointStiffnessLowConfig::AbstractParamDescriptionConstPtr(new jointStiffnessLowConfig::ParamDescription<std::string>("rwp", "str", 0, "RWP Stiffness Low", "", &jointStiffnessLowConfig::rwp)));
//#line 259 "/opt/ros/fuerte/stacks/dynamic_reconfigure/src/dynamic_reconfigure/parameter_generator.py"
      __min__.rwy = "";
//#line 259 "/opt/ros/fuerte/stacks/dynamic_reconfigure/src/dynamic_reconfigure/parameter_generator.py"
      __max__.rwy = "";
//#line 259 "/opt/ros/fuerte/stacks/dynamic_reconfigure/src/dynamic_reconfigure/parameter_generator.py"
      __default__.rwy = "0.0";
//#line 259 "/opt/ros/fuerte/stacks/dynamic_reconfigure/src/dynamic_reconfigure/parameter_generator.py"
      Default.abstract_parameters.push_back(jointStiffnessLowConfig::AbstractParamDescriptionConstPtr(new jointStiffnessLowConfig::ParamDescription<std::string>("rwy", "str", 0, "RWY Stiffness Low", "", &jointStiffnessLowConfig::rwy)));
//#line 259 "/opt/ros/fuerte/stacks/dynamic_reconfigure/src/dynamic_reconfigure/parameter_generator.py"
      __param_descriptions__.push_back(jointStiffnessLowConfig::AbstractParamDescriptionConstPtr(new jointStiffnessLowConfig::ParamDescription<std::string>("rwy", "str", 0, "RWY Stiffness Low", "", &jointStiffnessLowConfig::rwy)));
//#line 259 "/opt/ros/fuerte/stacks/dynamic_reconfigure/src/dynamic_reconfigure/parameter_generator.py"
      __min__.rtr = "";
//#line 259 "/opt/ros/fuerte/stacks/dynamic_reconfigure/src/dynamic_reconfigure/parameter_generator.py"
      __max__.rtr = "";
//#line 259 "/opt/ros/fuerte/stacks/dynamic_reconfigure/src/dynamic_reconfigure/parameter_generator.py"
      __default__.rtr = "0.0";
//#line 259 "/opt/ros/fuerte/stacks/dynamic_reconfigure/src/dynamic_reconfigure/parameter_generator.py"
      Default.abstract_parameters.push_back(jointStiffnessLowConfig::AbstractParamDescriptionConstPtr(new jointStiffnessLowConfig::ParamDescription<std::string>("rtr", "str", 0, "Right Thumb Roll Stiffness Low", "", &jointStiffnessLowConfig::rtr)));
//#line 259 "/opt/ros/fuerte/stacks/dynamic_reconfigure/src/dynamic_reconfigure/parameter_generator.py"
      __param_descriptions__.push_back(jointStiffnessLowConfig::AbstractParamDescriptionConstPtr(new jointStiffnessLowConfig::ParamDescription<std::string>("rtr", "str", 0, "Right Thumb Roll Stiffness Low", "", &jointStiffnessLowConfig::rtr)));
//#line 259 "/opt/ros/fuerte/stacks/dynamic_reconfigure/src/dynamic_reconfigure/parameter_generator.py"
      __min__.rtp = "";
//#line 259 "/opt/ros/fuerte/stacks/dynamic_reconfigure/src/dynamic_reconfigure/parameter_generator.py"
      __max__.rtp = "";
//#line 259 "/opt/ros/fuerte/stacks/dynamic_reconfigure/src/dynamic_reconfigure/parameter_generator.py"
      __default__.rtp = "0.0";
//#line 259 "/opt/ros/fuerte/stacks/dynamic_reconfigure/src/dynamic_reconfigure/parameter_generator.py"
      Default.abstract_parameters.push_back(jointStiffnessLowConfig::AbstractParamDescriptionConstPtr(new jointStiffnessLowConfig::ParamDescription<std::string>("rtp", "str", 0, "Right Thumb Proximal Stiffness Low", "", &jointStiffnessLowConfig::rtp)));
//#line 259 "/opt/ros/fuerte/stacks/dynamic_reconfigure/src/dynamic_reconfigure/parameter_generator.py"
      __param_descriptions__.push_back(jointStiffnessLowConfig::AbstractParamDescriptionConstPtr(new jointStiffnessLowConfig::ParamDescription<std::string>("rtp", "str", 0, "Right Thumb Proximal Stiffness Low", "", &jointStiffnessLowConfig::rtp)));
//#line 259 "/opt/ros/fuerte/stacks/dynamic_reconfigure/src/dynamic_reconfigure/parameter_generator.py"
      __min__.rtm = "";
//#line 259 "/opt/ros/fuerte/stacks/dynamic_reconfigure/src/dynamic_reconfigure/parameter_generator.py"
      __max__.rtm = "";
//#line 259 "/opt/ros/fuerte/stacks/dynamic_reconfigure/src/dynamic_reconfigure/parameter_generator.py"
      __default__.rtm = "0.0";
//#line 259 "/opt/ros/fuerte/stacks/dynamic_reconfigure/src/dynamic_reconfigure/parameter_generator.py"
      Default.abstract_parameters.push_back(jointStiffnessLowConfig::AbstractParamDescriptionConstPtr(new jointStiffnessLowConfig::ParamDescription<std::string>("rtm", "str", 0, "Right Thumb Medial Stiffness Low", "", &jointStiffnessLowConfig::rtm)));
//#line 259 "/opt/ros/fuerte/stacks/dynamic_reconfigure/src/dynamic_reconfigure/parameter_generator.py"
      __param_descriptions__.push_back(jointStiffnessLowConfig::AbstractParamDescriptionConstPtr(new jointStiffnessLowConfig::ParamDescription<std::string>("rtm", "str", 0, "Right Thumb Medial Stiffness Low", "", &jointStiffnessLowConfig::rtm)));
//#line 259 "/opt/ros/fuerte/stacks/dynamic_reconfigure/src/dynamic_reconfigure/parameter_generator.py"
      __min__.rtd = "";
//#line 259 "/opt/ros/fuerte/stacks/dynamic_reconfigure/src/dynamic_reconfigure/parameter_generator.py"
      __max__.rtd = "";
//#line 259 "/opt/ros/fuerte/stacks/dynamic_reconfigure/src/dynamic_reconfigure/parameter_generator.py"
      __default__.rtd = "0.0";
//#line 259 "/opt/ros/fuerte/stacks/dynamic_reconfigure/src/dynamic_reconfigure/parameter_generator.py"
      Default.abstract_parameters.push_back(jointStiffnessLowConfig::AbstractParamDescriptionConstPtr(new jointStiffnessLowConfig::ParamDescription<std::string>("rtd", "str", 0, "Right Thumb Distal Stiffness Low", "", &jointStiffnessLowConfig::rtd)));
//#line 259 "/opt/ros/fuerte/stacks/dynamic_reconfigure/src/dynamic_reconfigure/parameter_generator.py"
      __param_descriptions__.push_back(jointStiffnessLowConfig::AbstractParamDescriptionConstPtr(new jointStiffnessLowConfig::ParamDescription<std::string>("rtd", "str", 0, "Right Thumb Distal Stiffness Low", "", &jointStiffnessLowConfig::rtd)));
//#line 259 "/opt/ros/fuerte/stacks/dynamic_reconfigure/src/dynamic_reconfigure/parameter_generator.py"
      __min__.riy = "";
//#line 259 "/opt/ros/fuerte/stacks/dynamic_reconfigure/src/dynamic_reconfigure/parameter_generator.py"
      __max__.riy = "";
//#line 259 "/opt/ros/fuerte/stacks/dynamic_reconfigure/src/dynamic_reconfigure/parameter_generator.py"
      __default__.riy = "0.0";
//#line 259 "/opt/ros/fuerte/stacks/dynamic_reconfigure/src/dynamic_reconfigure/parameter_generator.py"
      Default.abstract_parameters.push_back(jointStiffnessLowConfig::AbstractParamDescriptionConstPtr(new jointStiffnessLowConfig::ParamDescription<std::string>("riy", "str", 0, "Right Index Yaw Stiffness Low", "", &jointStiffnessLowConfig::riy)));
//#line 259 "/opt/ros/fuerte/stacks/dynamic_reconfigure/src/dynamic_reconfigure/parameter_generator.py"
      __param_descriptions__.push_back(jointStiffnessLowConfig::AbstractParamDescriptionConstPtr(new jointStiffnessLowConfig::ParamDescription<std::string>("riy", "str", 0, "Right Index Yaw Stiffness Low", "", &jointStiffnessLowConfig::riy)));
//#line 259 "/opt/ros/fuerte/stacks/dynamic_reconfigure/src/dynamic_reconfigure/parameter_generator.py"
      __min__.rip = "";
//#line 259 "/opt/ros/fuerte/stacks/dynamic_reconfigure/src/dynamic_reconfigure/parameter_generator.py"
      __max__.rip = "";
//#line 259 "/opt/ros/fuerte/stacks/dynamic_reconfigure/src/dynamic_reconfigure/parameter_generator.py"
      __default__.rip = "0.0";
//#line 259 "/opt/ros/fuerte/stacks/dynamic_reconfigure/src/dynamic_reconfigure/parameter_generator.py"
      Default.abstract_parameters.push_back(jointStiffnessLowConfig::AbstractParamDescriptionConstPtr(new jointStiffnessLowConfig::ParamDescription<std::string>("rip", "str", 0, "Right Index Proximal Stiffness Low", "", &jointStiffnessLowConfig::rip)));
//#line 259 "/opt/ros/fuerte/stacks/dynamic_reconfigure/src/dynamic_reconfigure/parameter_generator.py"
      __param_descriptions__.push_back(jointStiffnessLowConfig::AbstractParamDescriptionConstPtr(new jointStiffnessLowConfig::ParamDescription<std::string>("rip", "str", 0, "Right Index Proximal Stiffness Low", "", &jointStiffnessLowConfig::rip)));
//#line 259 "/opt/ros/fuerte/stacks/dynamic_reconfigure/src/dynamic_reconfigure/parameter_generator.py"
      __min__.rim = "";
//#line 259 "/opt/ros/fuerte/stacks/dynamic_reconfigure/src/dynamic_reconfigure/parameter_generator.py"
      __max__.rim = "";
//#line 259 "/opt/ros/fuerte/stacks/dynamic_reconfigure/src/dynamic_reconfigure/parameter_generator.py"
      __default__.rim = "0.0";
//#line 259 "/opt/ros/fuerte/stacks/dynamic_reconfigure/src/dynamic_reconfigure/parameter_generator.py"
      Default.abstract_parameters.push_back(jointStiffnessLowConfig::AbstractParamDescriptionConstPtr(new jointStiffnessLowConfig::ParamDescription<std::string>("rim", "str", 0, "Right Index Medial Stiffness Low", "", &jointStiffnessLowConfig::rim)));
//#line 259 "/opt/ros/fuerte/stacks/dynamic_reconfigure/src/dynamic_reconfigure/parameter_generator.py"
      __param_descriptions__.push_back(jointStiffnessLowConfig::AbstractParamDescriptionConstPtr(new jointStiffnessLowConfig::ParamDescription<std::string>("rim", "str", 0, "Right Index Medial Stiffness Low", "", &jointStiffnessLowConfig::rim)));
//#line 259 "/opt/ros/fuerte/stacks/dynamic_reconfigure/src/dynamic_reconfigure/parameter_generator.py"
      __min__.rmy = "";
//#line 259 "/opt/ros/fuerte/stacks/dynamic_reconfigure/src/dynamic_reconfigure/parameter_generator.py"
      __max__.rmy = "";
//#line 259 "/opt/ros/fuerte/stacks/dynamic_reconfigure/src/dynamic_reconfigure/parameter_generator.py"
      __default__.rmy = "0.0";
//#line 259 "/opt/ros/fuerte/stacks/dynamic_reconfigure/src/dynamic_reconfigure/parameter_generator.py"
      Default.abstract_parameters.push_back(jointStiffnessLowConfig::AbstractParamDescriptionConstPtr(new jointStiffnessLowConfig::ParamDescription<std::string>("rmy", "str", 0, "Right Middle Yaw Stiffness Low", "", &jointStiffnessLowConfig::rmy)));
//#line 259 "/opt/ros/fuerte/stacks/dynamic_reconfigure/src/dynamic_reconfigure/parameter_generator.py"
      __param_descriptions__.push_back(jointStiffnessLowConfig::AbstractParamDescriptionConstPtr(new jointStiffnessLowConfig::ParamDescription<std::string>("rmy", "str", 0, "Right Middle Yaw Stiffness Low", "", &jointStiffnessLowConfig::rmy)));
//#line 259 "/opt/ros/fuerte/stacks/dynamic_reconfigure/src/dynamic_reconfigure/parameter_generator.py"
      __min__.rmp = "";
//#line 259 "/opt/ros/fuerte/stacks/dynamic_reconfigure/src/dynamic_reconfigure/parameter_generator.py"
      __max__.rmp = "";
//#line 259 "/opt/ros/fuerte/stacks/dynamic_reconfigure/src/dynamic_reconfigure/parameter_generator.py"
      __default__.rmp = "0.0";
//#line 259 "/opt/ros/fuerte/stacks/dynamic_reconfigure/src/dynamic_reconfigure/parameter_generator.py"
      Default.abstract_parameters.push_back(jointStiffnessLowConfig::AbstractParamDescriptionConstPtr(new jointStiffnessLowConfig::ParamDescription<std::string>("rmp", "str", 0, "Right Middle Proximal Stiffness Low", "", &jointStiffnessLowConfig::rmp)));
//#line 259 "/opt/ros/fuerte/stacks/dynamic_reconfigure/src/dynamic_reconfigure/parameter_generator.py"
      __param_descriptions__.push_back(jointStiffnessLowConfig::AbstractParamDescriptionConstPtr(new jointStiffnessLowConfig::ParamDescription<std::string>("rmp", "str", 0, "Right Middle Proximal Stiffness Low", "", &jointStiffnessLowConfig::rmp)));
//#line 259 "/opt/ros/fuerte/stacks/dynamic_reconfigure/src/dynamic_reconfigure/parameter_generator.py"
      __min__.rmm = "";
//#line 259 "/opt/ros/fuerte/stacks/dynamic_reconfigure/src/dynamic_reconfigure/parameter_generator.py"
      __max__.rmm = "";
//#line 259 "/opt/ros/fuerte/stacks/dynamic_reconfigure/src/dynamic_reconfigure/parameter_generator.py"
      __default__.rmm = "0.0";
//#line 259 "/opt/ros/fuerte/stacks/dynamic_reconfigure/src/dynamic_reconfigure/parameter_generator.py"
      Default.abstract_parameters.push_back(jointStiffnessLowConfig::AbstractParamDescriptionConstPtr(new jointStiffnessLowConfig::ParamDescription<std::string>("rmm", "str", 0, "Right Middle Medial Stiffness Low", "", &jointStiffnessLowConfig::rmm)));
//#line 259 "/opt/ros/fuerte/stacks/dynamic_reconfigure/src/dynamic_reconfigure/parameter_generator.py"
      __param_descriptions__.push_back(jointStiffnessLowConfig::AbstractParamDescriptionConstPtr(new jointStiffnessLowConfig::ParamDescription<std::string>("rmm", "str", 0, "Right Middle Medial Stiffness Low", "", &jointStiffnessLowConfig::rmm)));
//#line 259 "/opt/ros/fuerte/stacks/dynamic_reconfigure/src/dynamic_reconfigure/parameter_generator.py"
      __min__.rrpm = "";
//#line 259 "/opt/ros/fuerte/stacks/dynamic_reconfigure/src/dynamic_reconfigure/parameter_generator.py"
      __max__.rrpm = "";
//#line 259 "/opt/ros/fuerte/stacks/dynamic_reconfigure/src/dynamic_reconfigure/parameter_generator.py"
      __default__.rrpm = "0.0";
//#line 259 "/opt/ros/fuerte/stacks/dynamic_reconfigure/src/dynamic_reconfigure/parameter_generator.py"
      Default.abstract_parameters.push_back(jointStiffnessLowConfig::AbstractParamDescriptionConstPtr(new jointStiffnessLowConfig::ParamDescription<std::string>("rrpm", "str", 0, "Right Ring ProxMed Stiffness Low", "", &jointStiffnessLowConfig::rrpm)));
//#line 259 "/opt/ros/fuerte/stacks/dynamic_reconfigure/src/dynamic_reconfigure/parameter_generator.py"
      __param_descriptions__.push_back(jointStiffnessLowConfig::AbstractParamDescriptionConstPtr(new jointStiffnessLowConfig::ParamDescription<std::string>("rrpm", "str", 0, "Right Ring ProxMed Stiffness Low", "", &jointStiffnessLowConfig::rrpm)));
//#line 259 "/opt/ros/fuerte/stacks/dynamic_reconfigure/src/dynamic_reconfigure/parameter_generator.py"
      __min__.rlpm = "";
//#line 259 "/opt/ros/fuerte/stacks/dynamic_reconfigure/src/dynamic_reconfigure/parameter_generator.py"
      __max__.rlpm = "";
//#line 259 "/opt/ros/fuerte/stacks/dynamic_reconfigure/src/dynamic_reconfigure/parameter_generator.py"
      __default__.rlpm = "0.0";
//#line 259 "/opt/ros/fuerte/stacks/dynamic_reconfigure/src/dynamic_reconfigure/parameter_generator.py"
      Default.abstract_parameters.push_back(jointStiffnessLowConfig::AbstractParamDescriptionConstPtr(new jointStiffnessLowConfig::ParamDescription<std::string>("rlpm", "str", 0, "Right Little ProxMed Stiffness Low", "", &jointStiffnessLowConfig::rlpm)));
//#line 259 "/opt/ros/fuerte/stacks/dynamic_reconfigure/src/dynamic_reconfigure/parameter_generator.py"
      __param_descriptions__.push_back(jointStiffnessLowConfig::AbstractParamDescriptionConstPtr(new jointStiffnessLowConfig::ParamDescription<std::string>("rlpm", "str", 0, "Right Little ProxMed Stiffness Low", "", &jointStiffnessLowConfig::rlpm)));
//#line 233 "/opt/ros/fuerte/stacks/dynamic_reconfigure/src/dynamic_reconfigure/parameter_generator.py"
      Default.convertParams();
//#line 233 "/opt/ros/fuerte/stacks/dynamic_reconfigure/src/dynamic_reconfigure/parameter_generator.py"
      __group_descriptions__.push_back(jointStiffnessLowConfig::AbstractGroupDescriptionConstPtr(new jointStiffnessLowConfig::GroupDescription<jointStiffnessLowConfig::DEFAULT, jointStiffnessLowConfig>(Default)));
//#line 390 "/opt/ros/fuerte/stacks/dynamic_reconfigure/templates/ConfigType.h"
    
      for (std::vector<jointStiffnessLowConfig::AbstractGroupDescriptionConstPtr>::const_iterator i = __group_descriptions__.begin(); i != __group_descriptions__.end(); i++)
      {
        __description_message__.groups.push_back(**i);
      }
      __max__.__toMessage__(__description_message__.max, __param_descriptions__, __group_descriptions__); 
      __min__.__toMessage__(__description_message__.min, __param_descriptions__, __group_descriptions__); 
      __default__.__toMessage__(__description_message__.dflt, __param_descriptions__, __group_descriptions__); 
    }
    std::vector<jointStiffnessLowConfig::AbstractParamDescriptionConstPtr> __param_descriptions__;
    std::vector<jointStiffnessLowConfig::AbstractGroupDescriptionConstPtr> __group_descriptions__;
    jointStiffnessLowConfig __max__;
    jointStiffnessLowConfig __min__;
    jointStiffnessLowConfig __default__;
    dynamic_reconfigure::ConfigDescription __description_message__;

    static const jointStiffnessLowConfigStatics *get_instance()
    {
      // Split this off in a separate function because I know that
      // instance will get initialized the first time get_instance is
      // called, and I am guaranteeing that get_instance gets called at
      // most once.
      static jointStiffnessLowConfigStatics instance;
      return &instance;
    }
  };

  inline const dynamic_reconfigure::ConfigDescription &jointStiffnessLowConfig::__getDescriptionMessage__() 
  {
    return __get_statics__()->__description_message__;
  }

  inline const jointStiffnessLowConfig &jointStiffnessLowConfig::__getDefault__()
  {
    return __get_statics__()->__default__;
  }
  
  inline const jointStiffnessLowConfig &jointStiffnessLowConfig::__getMax__()
  {
    return __get_statics__()->__max__;
  }
  
  inline const jointStiffnessLowConfig &jointStiffnessLowConfig::__getMin__()
  {
    return __get_statics__()->__min__;
  }
  
  inline const std::vector<jointStiffnessLowConfig::AbstractParamDescriptionConstPtr> &jointStiffnessLowConfig::__getParamDescriptions__()
  {
    return __get_statics__()->__param_descriptions__;
  }

  inline const std::vector<jointStiffnessLowConfig::AbstractGroupDescriptionConstPtr> &jointStiffnessLowConfig::__getGroupDescriptions__()
  {
    return __get_statics__()->__group_descriptions__;
  }

  inline const jointStiffnessLowConfigStatics *jointStiffnessLowConfig::__get_statics__()
  {
    const static jointStiffnessLowConfigStatics *statics;
  
    if (statics) // Common case
      return statics;

    boost::mutex::scoped_lock lock(dynamic_reconfigure::__init_mutex__);

    if (statics) // In case we lost a race.
      return statics;

    statics = jointStiffnessLowConfigStatics::get_instance();
    
    return statics;
  }


}

#endif // __JOINTSTIFFNESSLOWRECONFIGURATOR_H__
